# Pull Request Process

## Before submitting a pull request

Please review the [guidelines for contributing](../CONTRIBUTING.md) to this repository and remove this and all lines above this one prior to submitting your `pull request`.

## Description

A brief description of your `pull request`.

## Checklist

Ensure that your `pull request` has followed all the steps below:

* [ ] Code compilation.
* [ ] All tests passing.
* [ ] No new SwiftLint issues.
* [ ] Added new unit tests, if applicable.
* [ ] Extended the documentation (including README), if applicable.
* [ ] Updated version in CBORCoding.podspec following [semver](https://semver.org) guidelines.
* [ ] Ran [workflowtests.sh](../../scripts/workflowtests.sh) and passed.
* [ ] Added myself to the [CONTRIBUTORS](../CONTRIBUTORS.md) file.

## Proposed changes

A detailed explaination of your changes and why these should be added to this project. 

If this is related to one or more [issues](https://github.com/SomeRandomiOSDev/CBORCoding/issues), please add `closes #XXXX` (or any other [acceptable notation](https://docs.github.com/en/issues/tracking-your-work-with-issues/linking-a-pull-request-to-an-issue)) to link this pull request to them.

## Additional Info

Any other relevant information that needs to be known about this `pull request` (e.g. "tvOS 14.0 and up", "Requires Xcode 13", etc.).
